Skip to main content
PUT
Update a prehandler

Authorizations

Authorization
string
header
required

Path Parameters

prehandlerId
string
required

The id of the prehandler to be updated.

Body

application/json

PrehandlerUpdateRequest object

Body of a PUT /v6/prehandlers/{prehandlerId} request.

actions
(EXPRESSION · object | JAVASCRIPT_V1 · object | MAP_DATA_ATTRIBUTES · object | SET_DATA · object | SET_SANDBOX · object)[]

Action represented by expression that can change the event.

component_ids
string[]
component_references
object[]
conditions
(BLOCK_MATCH · object | DATA_EXISTS · object | EVENT_NAME_MATCH · object | EXPRESSION · object | HTTP_HEADER_MATCH · object | JAVASCRIPT_V1 · object)[]

Condition that adds the block list types to be checked.

description

Choose between static or dynamic description

enabled

Choose between static or dynamic enabled

name

Prehandler name must be unique.

order

Choose between static or dynamic order

tags
string[]

Response

Prehandler source definition with build-time fields, conditions, actions, execution order, and component references.

Prehandler source definition with build-time fields, conditions, actions, and execution order.

actions
(EXPRESSION · object | JAVASCRIPT_V1 · object | MAP_DATA_ATTRIBUTES · object | SET_DATA · object | SET_SANDBOX · object)[]
required

Actions executed when the prehandler conditions match.

Actions executed when the prehandler conditions match.

component_ids
string[]
required
component_references
object[]
required
conditions
(BLOCK_MATCH · object | DATA_EXISTS · object | EVENT_NAME_MATCH · object | EXPRESSION · object | HTTP_HEADER_MATCH · object | JAVASCRIPT_V1 · object)[]
required

Conditions that must match before the prehandler actions run.

Conditions that must match before the prehandler actions run.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

description
required

Optional build-time expression that resolves to the prehandler description.

enabled
required

Build-time expression that controls whether the prehandler is active.

id
string
required
read-only

Unique identifier for the prehandler.

name
required

Build-time expression that resolves to the prehandler name.

order
required

Build-time expression that controls the prehandler execution order.

tags
string[]
required

Tags used to classify or filter the prehandler.

Tags used to classify or filter the prehandler.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"